#ifndef _WIZHELPER_H_
#define _WIZHELPER_H_

#include <stdbool.h>
#include <stdint.h>


#define NTP_SERVER "0.de.pool.ntp.org"

typedef struct {
    uint64_t seconds;
    uint32_t missedUpdates;
    bool valid;
} t_seconds;

int wizInit();
bool isNetworkAvailable();
uint8_t* wizGetIPAddress();
bool wizDnsQuery(char *name, uint8_t *ip);

t_seconds* wizGetSeconds();


#endif // _WIZHELPER_H_
